import { FadeIn } from "../components/FadeIn";
import { Breathe } from "../components/Breathe";
import { Problems } from "../components/Problems";
import { useTabNavigation } from "../utils/TabNavigation";
import { H5 } from "../components/Headings";
import PreCyse from "../components/precyse";
import { useNavigation } from "../utils";

export function Home() {
  useTabNavigation();
  const {goToPageAndScroll} = useNavigation(); 
/* */
  return (
    <>
       <div className="col">
          <div className="col header-container landing-page-header" id="landing-page-header">
            <div className="row align-items-center">
              <div className="col">
              <img src="https://static.igem.wiki/teams/5247/photos/header/bild.webp" />
              </div>
              <div className="col-3">
              <img src="https://static.igem.wiki/teams/5247/photos/header/bild.webp" />
              </div>
            </div>  
            <br/>
            <h3 style={{textAlign: "center"}}>Our Project, Our Victory</h3>
            <h4 style={{textAlign: "center"}}>Gold Medal for Excellence in Synthetic Biology and Engineering Success as one of the best therapeutic projects</h4>
          
            <p style={{textAlign: "center"}}>A true honor for our <b>cutting-edge</b> contributions to the world of synthetic biology and <b>engineering breakthroughs</b>.</p>
             
            <br/>
            <h3>And present our mRNA-based <b>gene therapy</b> for <b>targeted and safe</b> reconstitution of CFTR to restore the mucociliary clearance of patients with <b>Cystic Fibrosis</b>.</h3>
          </div>
        </div>
        <div className="row align-items-center">
              <div className="col">
              <img src="https://static.igem.wiki/teams/5247/photos/header/bild.webp" />
              </div>
              <div className="col">
              <img src="https://static.igem.wiki/teams/5247/photos/header/bild.webp" />
              </div>
              <div className="col">
              <img src="https://static.igem.wiki/teams/5247/photos/header/bild.webp" />
               </div>
            </div>  
            <div className="row align-items-center" style={{marginBottom: "none !important", paddingBottom: "0px !important"}}>
              <div className="col" style={{marginBottom: "none !important", paddingBottom: "0px !important"}}>
               <h3 style={{textAlign: "center"}}>Best Integrated Human Practices</h3>
              </div>
              <div className="col" style={{marginBottom: "none !important", paddingBottom: "0px !important"}}>
              <h3 style={{textAlign: "center"}}>Best Presentation</h3>
              </div>
              <div className="col" style={{marginBottom: "none !important", paddingBottom: "0px !important"}}>
               <h3 style={{textAlign: "center"}}>Safety and Security Award</h3>
              </div>
            </div>
            <div className="row align-items-center" >
              <div className="col">
               <p style={{textAlign: "center"}}>Ethical, impactful, and groundbreaking science</p>
              </div>
              <div className="col">
              <p style={{textAlign: "center"}}>Ability to communicate complex science with clarity and impact</p>
              </div>
              <div className="col">
               <p style={{textAlign: "center"}}>Unmatched safety standards, ensuring innovation with responsibility</p>
              </div>  
            </div> 
            <br/><br/>
            <p>In 2024, our groundbreaking work in <b>synthetic biology</b> and <b>medical engineering</b> was recognized with <b>multiple prestigious awards</b>, 
              marking a monumental achievement in our journey. These <b>honors</b> are not just trophies — they represent the <b>passion</b>, <b>innovation</b>, 
              and excellence embedded in every aspect of our project.</p>
              <p>These <b>honors</b> don’t just validate our science — they affirm our <b>vision</b> for a healthier, smarter, and more sustainable future.
              </p>
              <h4>Experience the Journey              </h4>
              <p>Dive deeper into our award-winning work. Watch our <b>epic presentation</b> and explore the full scope of our project. 
              </p>
              <p>Check out the videos and more to see how we are <b>pushing the boundaries</b> of what's possible:
              </p>
        <div className="col">
          <div className="col header-container landing-page-header" id="landing-page-header-2">
            <div className="row align-items-center">
            <div className="col header-button-row">
                <div><H5 text="Take a tour through our highlights:"/>  </div>
                <p>
                  &#8594; <a href="description?scrollTo=Abstract">What is <PreCyse/>? </a> <br/> <br/> 
                  &#8594; <a href="engineering?tab=tab-our-cycle&scrollTo=ourcycle">What is our strategy?</a> <br/> <br/>
                  &#8594; <a href="materials-methods?scrollTo=introduction">How did we do this?</a> <br/> <br/>
                  &#8594; <a href="results?scrollTo=experimental-design">What did we archieve?</a> <br/> <br/>
                  &#8594; <a href="parts?scrollTo=Parts Collection2">What parts are we contributing?</a> <br/> <br/>
                  &#8594; <a href="judging?scrollTo=OverviewH">What are our special awards?</a>
                </p>
              </div>
            <div className="col header-button-row">
            <p>
              <div className="col">
                    <button onClick={() => goToPageAndScroll("scrollstart", "")}> <b>SCROLL</b> to see introductory animation.</button>  
                  </div>
              </p>
              <p> 
                  <div className="col">
                    <button  onClick={() => goToPageAndScroll("Abstract", "/description")} > <b>CLICK</b> to go directly to our Project Description.</button> 
                  </div>
              </p>
              <p>
                <div className="col">
                    <button onClick={() => goToPageAndScroll("sciency", "")}> <b>JUMP</b> straight to the science part of the animation.</button>   
                  </div>
              </p>
              
              
            </div>
              
            </div>
            
          </div>
        </div>
        <img src="https://static.igem.wiki/teams/5247/landing-page/lp-2.svg"/>  
        <div className="row">
            <div className="col button-x">
              <button  onClick={() => goToPageAndScroll("Approach2H", "/description")} > Lung-Specific Lipid Nanoparticle</button> 
            </div>
            <div className="col button-x">
              <button  onClick={() => goToPageAndScroll("Approach1H", "/description")} > Next-Generation Prime Editing Technology
              </button> 
            </div>
        </div>



    <div className="row mt-4">
      <div className="col" id="erstecol">
        <div  className="col">
        
          <div style={{'position': 'relative',
                       'zIndex': '1', 
                       'top': '10vh',
                       'left': '0vw',
                       'scale': '0.25'}}>
                        <div id="scrollstart"></div>
            <img src="https://static.igem.wiki/teams/5247/landing/indicator.webp"></img>
          </div>
       
          
          <Breathe></Breathe>
          
          <Problems></Problems>
          
          {/* Spacing Block */}
          <div className='col' style={{ 'height': '150vh' }}></div>
          
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing/gifs/200k-anim-transparent-bg.gif" bg='https://static.igem.wiki/teams/5247/landing/backgrounds/background-1-text.webp'></FadeIn>
          
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing-page/lp-5-2.svg" bg='https://static.igem.wiki/teams/5247/landing-page/lp-5-2.svg'></FadeIn>
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing-page/lp-6-2.svg" bg='https://static.igem.wiki/teams/5247/landing-page/lp-6-2.svg'></FadeIn>
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing-page/lp-7-2.svg" bg='https://static.igem.wiki/teams/5247/landing-page/lp-7-2.svg'></FadeIn>
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing-page/lp-8-2.svg" bg='https://static.igem.wiki/teams/5247/landing-page/lp-8-2.svg'></FadeIn>
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing-page/lp-9-2.svg" bg='https://static.igem.wiki/teams/5247/landing-page/lp-9-2.svg'></FadeIn>
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing-page/lp-10.svg" bg='https://static.igem.wiki/teams/5247/landing-page/lp-10.svg'></FadeIn>
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing-page/lp-11-2.svg" bg='https://static.igem.wiki/teams/5247/landing-page/lp-11-2.svg'></FadeIn>
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing-page/lp-12.webp" bg='https://static.igem.wiki/teams/5247/landing-page/lp-12.webp'></FadeIn>
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing-page/lp-13-2.webp" bg='https://static.igem.wiki/teams/5247/landing-page/lp-13-2.webp'></FadeIn>
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing-page/lp-14.webp" bg='https://static.igem.wiki/teams/5247/landing-page/lp-14.webp'></FadeIn>
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing-page/lp-15.webp" bg='https://static.igem.wiki/teams/5247/landing-page/lp-15.webp'></FadeIn>
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing-page/lp-16.webp" bg='https://static.igem.wiki/teams/5247/landing-page/lp-16.webp'></FadeIn>
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing-page/lp-17.svg" bg='https://static.igem.wiki/teams/5247/landing-page/lp-17.svg'></FadeIn>
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing-page/lp-18-2.svg" bg='https://static.igem.wiki/teams/5247/landing-page/lp-18-2.svg'></FadeIn>
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing-page/lp-19-2.svg" bg='https://static.igem.wiki/teams/5247/landing-page/lp-19-2.svg'></FadeIn>



          <div className="row">
          <iframe title="Bielefeld-CeBiTec: PreCyse - Redefining Cystic Fibrosis Gene Therapy with Next-G... (2024) - Project Promotion [English]" width="100%" height="600ßx" src="https://video.igem.org/videos/embed/74e7d2e6-044a-4e37-83eb-8a6d12626409?loop=1" frameBorder="0" allowFullScreen={true} sandbox="allow-same-origin allow-scripts allow-popups allow-forms"></iframe>
          </div>


         {/* 
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing/gifs/3k-anim-transparent-bg.gif" bg='https://static.igem.wiki/teams/5247/landing/backgrounds/background-3-text.webp'></FadeIn>
          
          
          <FadeIn  filepath="https://static.igem.wiki/teams/5247/landing/gifs/treatment-2.gif" bg=''></FadeIn>
          

          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing/airbuddy.gif" bg=''></FadeIn>
          <AirbuddyAnim></AirbuddyAnim>
          
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing/primeguide.webp" bg=''></FadeIn>
          <PrimeGuideAnimOne></PrimeGuideAnimOne>
          <PrimeGuideAnimTwo></PrimeGuideAnimTwo>

          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing/precyse.gif" bg=''></FadeIn>
          <FadeIn filepath="https://static.igem.wiki/teams/5247/landing/gifs/proofofconcept.gif" bg=''></FadeIn> */}
          
          {/* Spacing Block */}
          <div className='col' style={{ 'height': '100vh' }}></div>
        </div>
      </div> 
    </div> 
    </>
  );
}
